#
# spec file for package python-aiohttp-retry
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define modname aiohttp_retry
Name:           python-aiohttp-retry
Version:        2.9.1
Release:        2.3
Summary:        Simple retry client for aiohttp
License:        MIT
URL:            https://github.com/inyutin/aiohttp_retry
# Source0:         https://files.pythonhosted.org/packages/source/a/%%{modname}/%%{modname}-%%{version}.tar.gz
Source0:        https://github.com/inyutin/%{modname}/archive/refs/tags/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fix_version.patch gh#inyutin/aiohttp_retry@1a3bc19e15de mcepl@suse.com
# add missing version bump
Patch0:         fix_version.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-aiohttp
Requires:       python-aiohttp-retry
Recommends:     python-yarl
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module aiohttp}
BuildRequires:  %{python_module aiohttp-retry}
BuildRequires:  %{python_module pytest-aiohttp}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Simple retry client for aiohttp.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH=.
%pytest

%files %{python_files}
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}*-info

%changelog
* Mon Dec  9 2024 Matej Cepl <mcepl@cepl.eu>
- Downgrade requirement of python-yarl to Recommends (and don’t
  require it for building at all).
- Add missing BR of aiotthp-retry.
* Wed Nov 20 2024 Matej Cepl <mcepl@cepl.eu>
- Update to 2.9.1:
  - Add tests init file
  - Fix the client sometimes would not retry
- Update to 2.9.0:
  - Retry based on HTTP methods
  - refactor: _RequestContext._do_request()
  - Add ruff
  - Remove code-coverage
  - Test on python packages up to 3.13
  - Fix typo detected by codespell + add codespell workflow to
    avoid typos sneaking in
  - Improve documentation a little bit
  - Update ci dependencies
- Add fix_version.patch to fix ommitted version in setup.py
* Tue Apr 25 2023 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.8.3
